---
title: Setup MSYS2/MinGW Environment
summary: How to create the C++ build environment on Windows using MSYS2.
authors:
    - Sebastian Oberschwendtner
date: 2024-03-01
---
!!! warning
    Using **MSYS2** to build *UNICADO* may work, but is no longer maintained by us!
    So things could have changed in the meantime.

> Microsoft provides a good manual how to install **MSYS2**/MinGW in their [Documenation :octicons-link-external-16:](https://code.visualstudio.com/docs/cpp/config-mingw){:target="_blank"}.
Although this targets their IDE, the process of installing **MYS2** applies for us as well regardless of which IDE you use.